Metadata
Configuration and execution of metadata synchronization.
Triggers the database synchronization job for a list of schema connections.
This API executes the metadata synchronization as an asynchronous job and returns the job ID of the triggered job in the response.
To monitor the status of a job, use the Jobs resource of the REST Core API: GET /jobs/{jobId}.
Collibra REST API authentication using Basic Authentication.
The ID of the Database asset.
The list of the schemas identified by the schema connection ID for which you want to synchronize metadata. If left empty all schemas with rules defined are synchronized.
The database metadata synchronization job has started.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
Conflict.
POST /rest/catalogDatabase/v1/databases/{databaseId}/synchronizeMetadata HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"schemaConnectionIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"resourceType": "View",
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"progressPercentage": 50,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"message": "Import finished in 12s."
}Returns the schema metadata configurations defined for the given criteria.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The index of the first result to retrieve.
If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve.
If not set, the default limit (limit = 0) will be used. The maximum value for this parameter is
500.
0The schema metadata configuration defined for the given criteria.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
GET /rest/catalogDatabase/v1/schemaMetadataConfigurations HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"results": [
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}
]
}Creates a schema metadata configuration.
Only a single configuration can be created for a single schema connection id.
Collibra REST API authentication using Basic Authentication.
The schema metadata configuration has been created succesfully. The created configuration is included in the response.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/schemaMetadataConfigurations HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}Adds multiple schema metadata synchronization configurations.
This operation is executed in a single transaction, that creates all the configurations. In case the operation fails, none of the configurations are created.
Collibra REST API authentication using Basic Authentication.
The schema metadata configurations have been created succesfully. The created schema metadata configurations are included in the response.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
POST /rest/catalogDatabase/v1/schemaMetadataConfigurations/batch HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 310
[
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}
][
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}
]Returns the schema metadata configuration defined for the given criteria.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The schema metadata configuration defined for the given database and optionally schema.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
GET /rest/catalogDatabase/v1/schemaMetadataConfigurations/{schemaConnectionId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}Updates a schema metadata synchronization configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The schema metadata configuration was updated succesfully.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
PUT /rest/catalogDatabase/v1/schemaMetadataConfigurations/{schemaConnectionId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 308
{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}{
"schemaConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"synchronizationRules": [
{
"include": "customers_*",
"exclude": "customers_very_big_one_causing_troubles, customers_another_one_I_dont_want_to_ingest",
"targetDomainId": "123e4567-e89b-12d3-a456-426614174000",
"skipViews": true,
"registerSourceTags": true
}
]
}Deletes a given schema metadata synchronization configuration.
Collibra REST API authentication using Basic Authentication.
The ID of the schema connection.
The schema metadata configuration was succesfully deleted.
No content
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
DELETE /rest/catalogDatabase/v1/schemaMetadataConfigurations/{schemaConnectionId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Last updated
Was this helpful?